Skip to main content
GET
/
business_presets
/
{business_preset}
Retrieve a business preset
curl --request GET \
  --url https://sandbox.nmbr.co/services/payroll/business_presets/{business_preset} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<id>",
  "object": "business_preset",
  "data": {
    "business_entity": {
      "id": "<id>",
      "object": "business_entity",
      "links": {
        "self": "/business_entities/<id>"
      }
    },
    "name": "Business Preset 08a620c8-1d8a-3f0c-9475-963b2e8a0d49",
    "name_translations": null,
    "name_translated": "Business Preset 08a620c8-1d8a-3f0c-9475-963b2e8a0d49",
    "title": "Christmas Bonus",
    "title_translations": null,
    "title_translated": "Christmas Bonus",
    "type": "earning",
    "subtype": "bonus_discretionary",
    "remittance_account": null,
    "is_managed": false,
    "expense_accounting_code": null,
    "liability_accounting_code": null,
    "income_basis": null,
    "income_includes": [],
    "external_ref": null,
    "created_at": "2026-01-01T00:00:00.000000Z",
    "updated_at": "2026-01-01T00:00:00.000000Z"
  },
  "links": {
    "self": "/business_presets/<id>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

business_preset
string
required

Query Parameters

expand
enum<string>[]
Available options:
allowances,
business_entity,
deductions,
earnings,
employee_benefits,
employer_benefits,
expense_accounting_code,
liability_accounting_code,
pay_rates,
reimbursements,
remittance_account

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("business_preset").

data
Default · object